#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "GLWindow.h"


// \brief This is the MainWindow Class which is generated by the Ui file, if we wish to add anything to the main
// Ui we add it here
class MainWindow : public QMainWindow
{
Q_OBJECT
protected :
    /// \brief override the keyPressEvent inherited from QObject so we can handle key presses.
    /// @param [in] _event the event to process
    void keyPressEvent(
                       QKeyEvent *_event
                      );
    void resizeEvent (
                      QResizeEvent * _event
                     );
public:
    // ctor
    MainWindow(QWidget *parent = 0);
    // dtor
    ~MainWindow();
    /// \brief here we add our GLWindow extending the base functionality of our class
private slots :

private:
    /// \brief our gl window created in GLWindow.h
    GLWindow *m_gl;

};

#endif // MAINWINDOW_H
