#version 120

/// @brief projection matrix passed in from camera class in main app
uniform mat4 projectionMatrix;
/// @brief View transform matrix passed in from camera class in main app
uniform mat4 ViewMatrix;
/// @brief Model transform matrix passed in from Transform Class in main app
uniform mat4 ModelMatrix;

attribute vec3 inVert;
attribute vec2 inUV;
varying vec2 vertUV;
uniform int xMultiplyer=1;
uniform float yOffset=0;

void main(void)
{
 // pre-calculate for speed we will use this a lot
 mat4 ModelView=ViewMatrix*ModelMatrix;

 // calculate the vertex position
 gl_Position = projectionMatrix*ModelView*vec4(inVert, 1.0);//gl_Vertex;
 // get the texture co-ord and mutliply it by the texture matrix
 vertUV=inUV.st;
 vertUV.s *=xMultiplyer;
 vertUV.t-=yOffset;
}
